nl.topicus.jdbc.statement

## Class AbstractTablePartWorker

- java.lang.Object
- - nl.topicus.jdbc.statement.AbstractTablePartWorker

All Implemented Interfaces:
  Callable<ConversionResult>

Direct Known Subclasses:
  DeleteWorker, InsertWorker

    public abstract class AbstractTablePartWorker
    extends Object
    implements Callable<ConversionResult>

### Nested Class Summary

Nested Classes
`static class` `AbstractTablePartWorker.DMLOperation`

### Field Summary

Fields
`protected CloudSpannerConnection` `connection`
`protected AbstractTablePartWorker.DMLOperation` `operation`
`protected net.sf.jsqlparser.statement.select.Select` `select`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`ConversionResult` `call()`
`protected abstract String` `createSQL()`
`protected void` `genericRun()`
`protected abstract List<String>` `getColumnNames()`
`protected long` `getEstimatedRecordCount(net.sf.jsqlparser.statement.select.Select select)`
`long` `getRecordCount()`
`protected abstract net.sf.jsqlparser.schema.Table` `getTable()`
`protected boolean` `isExtendedMode(long batchSize)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### connection

    protected final CloudSpannerConnection connection

#### select

    protected final net.sf.jsqlparser.statement.select.Select select

#### operation

    protected final AbstractTablePartWorker.DMLOperation operation

### Method Detail

#### call

    public ConversionResult call()

Specified by:
  `call` in interface `Callable<ConversionResult>`

#### genericRun

    protected void genericRun()
                       throws SQLException

Throws:
  `SQLException`

#### getColumnNames

    protected abstract List<String> getColumnNames()
                                            throws SQLException

Throws:
  `SQLException`

#### getTable

    protected abstract net.sf.jsqlparser.schema.Table getTable()

#### createSQL

    protected abstract String createSQL()
                                 throws SQLException

Throws:
  `SQLException`

#### getEstimatedRecordCount

    protected long getEstimatedRecordCount(net.sf.jsqlparser.statement.select.Select select)
                                    throws SQLException

Throws:
  `SQLException`

#### isExtendedMode

    protected boolean isExtendedMode(long batchSize)
                              throws SQLException

Throws:
  `SQLException`

#### getRecordCount

    public long getRecordCount()